Subject: Re: Linking with .LIB's and .OBJ's
From: [email-masked] (Gilligan)

12 Jul 1997 10:04:58 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.01 [en] (Win95; I)
Original-To: [email-masked]
Original-CC: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Ares wrote:
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> 
> Does anyone know how to go about linking in MSVC++/BC++ .LIB and .OBJ
> files for which the source code is unavailable?  I'm interested in
> using Microsoft's DirectX SDK and am wondering if the DirectX .LIB's
> can be directly linked into the executable, or if they must be
> converted into a COFF format first.  If so, how do I do this?
> 
> While I write, I'd like to put in my $0.02 worth on the new Cygwin32
> License.  To those people who can't accept the license, I would
> suggest using all the available resources (source code and
> documentation) available on POSIX, and write your own cygwin.dll.
> With the restrictions lifted on libcygwin.a, this shouldn't be too
> much of a problem for getting a different library linked in.
> 
> Ares out.
> 
> -----BEGIN PGP SIGNATURE-----
> Version: 2.6.3a
> Charset: cp850
> 
> iQEVAwUBM8bxMTriz9bx+MzZAQHV/ggAmBcXm3gfbBZy5NMOiVR+KdRbOLjRr0LQ
> Gq82dgLmGOLpet6id+SXTTLw7Da/rHlV+USQKaSClrSwUkVJvJbTmfj9K19N9Df/
> Ft2nL1AZGBzbhHfYyQf/oOqm0e00BXz4gPc5x7FTlX8HMzzCw8rvJ8Zr7Q5uo7r0
> +a5Aui3fT/28i1CK02DSkKyyJFXV6zJP/LgDu0aI4YwZXuIGBH8y94tXVyCRsN+R
> joALM2nDxuYqBM2M69DfKhxbJL20lL0WFIqPTGL+8hcYENE4UH2Gxsk4VhU8cNHr
> mYL9uE6+QxJIXSIvaH9T4Shwu30zlooQE/y87cIsG5c72qDdDu82MA==
> =CgGS
> -----END PGP SIGNATURE-----
>         _/_/_/   _/_/_/_/   _/_/_/_/_/   _/_/_/   Jason D. Michaelson
>      _/      _/ _/      _/ _/         _/      _/ [email-masked]
>     _/      _/ _/      _/ _/         _/         [email-masked]
>    _/_/_/_/_/ _/_/_/_/   _/_/_/_/     _/_/_/   [email-masked]
>   _/      _/ _/      _/ _/                 _/ [email-masked]
>  _/      _/ _/      _/ _/         _/      _/
> http://www.tc.umn.edu/~mich0101
> _/      _/ _/      _/ _/_/_/_/_/   _/_/_/
> 
> My other page is at
> http://www.geocities.com/SiliconValley/Heights/5923
> 
> This space intentionally has nothing but text explaining why this
> space has nothing but text explaining that this space would otherwise
> have been left blank and would otherwise have been left blank.
> 
> For PGP 2.6.3 public key, send a message to [email-masked]
> with Send PGP Key as the subject.
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".

There was someone a while back that already did some work on using
DirectX with cygwin32.  Let's see ..
http://dragon.acadiau.ca/~025668b/develop/cygnus/

---
Due to the abundance of spam, the underscore (_) in my return address
must be removed for replies to reach me.  Spammers leave the _ in.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".